using System;
using System.Collections.Generic;
using System.Text;
using System.Collections.Specialized;

namespace LesDictionnaires
{
    public static class NameValueCollectionDemo
    {
        public static void Execute()
        {
            NameValueCollection ecuries = new NameValueCollection();

            ecuries.Add("McLaren Mercedes", "L. Hamilton");
            ecuries.Add("McLaren Mercedes", "F. Alonso");

            foreach (string pilote in ecuries.GetValues("McLaren Mercedes"))
            {
                Console.WriteLine(pilote);
            }
            //L. Hamilton
            //F. Alonso

            ecuries.Add("Ferrari", "F. Massa");
            ecuries.Add("Ferrari", "F. Massa");

            //accs index
            for (int i = 0; i < ecuries.Count; i++)
            {
                Console.WriteLine(" les pilotes de l'curie {0} sont : {1} ", ecuries.GetKey(i), ecuries.Get(i));
            }

            //les pilotes de l'curie McLaren Mercedes sont : L. Hamilton,F. Alonso
            //les pilotes de l'curie Ferrari sont : F. Massa,F. Massa
        }
    }
}
