using System;
using System.Collections.Generic;
using System.Text;
using System.Collections.Specialized;
using System.Collections;

namespace LesDictionnaires
{
    public static class OrderedDictionaryDemo
    {
        public static void Execute()
        {
            OrderedDictionary lesPilotes = new OrderedDictionary();

            lesPilotes.Add("L. Hamilton", "McLaren Mercedes");
            lesPilotes.Add("F. Alonso", "McLaren Mercedes");
            lesPilotes.Add("F. Massa", "Ferrari");

            //insertion indexe
            lesPilotes.Insert(3, "K. Rikknen", "Ferrari");
            lesPilotes.Insert(4, "N. Heidfeld", "BMW Sauber");
            lesPilotes.Insert(5, "R. Kubica", "BMW Sauber");

            lesPilotes.Add("G. Fisichella", "Renault");
            lesPilotes.Add("H. Kovalainen", "Renault");
            lesPilotes.Add("A. Wurz", "Williams");
            lesPilotes.Add("M. Webber", "Red Bull");

            Afficher(lesPilotes);
            //1 - Pilote : L. Hamilton , Ecurie : McLaren Mercedes
            //2 - Pilote : F. Alonso , Ecurie : McLaren Mercedes
            //3 - Pilote : F. Massa , Ecurie : Ferrari
            //4 - Pilote : K. Rikknen , Ecurie : Ferrari
            //5 - Pilote : N. Heidfeld , Ecurie : BMW Sauber
            //6 - Pilote : R. Kubica , Ecurie : BMW Sauber
            //7 - Pilote : G. Fisichella , Ecurie : Renault
            //8 - Pilote : H. Kovalainen , Ecurie : Renault
            //9 - Pilote : A. Wurz , Ecurie : Williams
            //10 - Pilote : M. Webber , Ecurie : Red Bull

            //Ajouter une nouvelle entre  la tte du dictionnaire
            lesPilotes.Insert(0, "Lewis Hamilton", "McLaren Mercedes");

            //Modification indexe
            lesPilotes[0] = "McLaren";
            //Modification par cl
            lesPilotes["Lewis Hamilton"] = "McLaren Mercedes";

            Afficher(lesPilotes);
            //1 - Pilote : Lewis Hamilton , Ecurie : McLaren Mercedes
            //2 - Pilote : L. Hamilton , Ecurie : McLaren Mercedes
            //3 - Pilote : F. Alonso , Ecurie : McLaren Mercedes
            //4 - Pilote : F. Massa , Ecurie : Ferrari
            //5 - Pilote : K. Rikknen , Ecurie : Ferrari
            //6 - Pilote : N. Heidfeld , Ecurie : BMW Sauber
            //7 - Pilote : R. Kubica , Ecurie : BMW Sauber
            //8 - Pilote : G. Fisichella , Ecurie : Renault
            //9 - Pilote : H. Kovalainen , Ecurie : Renault
            //10 - Pilote : A. Wurz , Ecurie : Williams
            //11 - Pilote : M. Webber , Ecurie : Red Bull
        }

        private static void Afficher(OrderedDictionary lesPilotes)
        {
            int index = 1;
            foreach (DictionaryEntry pilote in lesPilotes)
            {
                Console.WriteLine(" {0} - Pilote : {1} , Ecurie : {2}", index++, pilote.Key, pilote.Value);
            }

            Console.WriteLine();
        }
    }
}
