using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;

namespace LesDictionnaires
{
    public class PiloteEquatable : Pilote, IEquatable<PiloteEquatable>
    {

        public PiloteEquatable(string prenom, string nom)
            : base(prenom, nom)
        {

        }

        public override int GetHashCode()
        {
            Trace.WriteLine(" GetHashCode appel ");
            return string.Concat(this.Prenom, " ", this.Nom).GetHashCode();
        }

        public bool Equals(PiloteEquatable other)
        {
            Trace.WriteLine(" Equals Appel");
            return this.Nom.Equals(other.Nom) && this.Prenom.Equals(other.Prenom);
        }

        public override bool Equals(object obj)
        {
            return Equals((PiloteEquatable)obj);
        }
    }
}
